Bug 1081224 - [abrt] claws-mail: summary_set_row_marks(): claws-mail killed by SIGSEGV
Summary: [abrt] claws-mail: summary_set_row_marks(): claws-mail killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dd8ae9bdcd34b677e233303f88a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-26 19:22 UTC by Pavel Mlčoch
Modified: 2015-01-05 07:36 UTC (History)
2 users (show)

Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-30 23:49:50 UTC


Attachments (Terms of Use)
File: backtrace (75.13 KB, text/plain)
2014-03-26 19:22 UTC, Pavel Mlčoch
no flags Details
File: cgroup (172 bytes, text/plain)
2014-03-26 19:22 UTC, Pavel Mlčoch
no flags Details
File: core_backtrace (37.11 KB, text/plain)
2014-03-26 19:22 UTC, Pavel Mlčoch
no flags Details
File: dso_list (21.81 KB, text/plain)
2014-03-26 19:22 UTC, Pavel Mlčoch
no flags Details
File: environ (1.32 KB, text/plain)
2014-03-26 19:22 UTC, Pavel Mlčoch
no flags Details
File: exploitable (82 bytes, text/plain)
2014-03-26 19:22 UTC, Pavel Mlčoch
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-26 19:22 UTC, Pavel Mlčoch
no flags Details
File: maps (107.66 KB, text/plain)
2014-03-26 19:22 UTC, Pavel Mlčoch
no flags Details
File: open_fds (2.20 KB, text/plain)
2014-03-26 19:22 UTC, Pavel Mlčoch
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-03-26 19:22 UTC, Pavel Mlčoch
no flags Details
File: var_log_messages (1.69 KB, text/plain)
2014-03-26 19:22 UTC, Pavel Mlčoch
no flags Details

Description Pavel Mlčoch 2014-03-26 19:22:07 UTC
Version-Release number of selected component:
claws-mail-3.9.3-1.fc20

Additional info:
reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        claws-mail
crash_function: summary_set_row_marks
executable:     /usr/bin/claws-mail
kernel:         3.13.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 summary_set_row_marks at summaryview.c:3823
 #1 msginfo_mark_as_read at summaryview.c:3524
 #2 msginfo_mark_as_read_timeout at summaryview.c:3541
 #7 g_main_context_iteration at gmain.c:3774
 #8 gtk_main_iteration at gtkmain.c:1345
 #9 threaded_run at imap-thread.c:440
 #10 imap_threaded_fetch_uid at imap-thread.c:2032
 #11 get_list_of_uids at imap.c:4423
 #12 imap_get_num_list at imap.c:4519
 #13 folder_item_scan_full at folder.c:2167

Comment 1 Pavel Mlčoch 2014-03-26 19:22:14 UTC
Created attachment 879186 [details]
File: backtrace

Comment 2 Pavel Mlčoch 2014-03-26 19:22:17 UTC
Created attachment 879187 [details]
File: cgroup

Comment 3 Pavel Mlčoch 2014-03-26 19:22:20 UTC
Created attachment 879188 [details]
File: core_backtrace

Comment 4 Pavel Mlčoch 2014-03-26 19:22:23 UTC
Created attachment 879189 [details]
File: dso_list

Comment 5 Pavel Mlčoch 2014-03-26 19:22:25 UTC
Created attachment 879190 [details]
File: environ

Comment 6 Pavel Mlčoch 2014-03-26 19:22:27 UTC
Created attachment 879191 [details]
File: exploitable

Comment 7 Pavel Mlčoch 2014-03-26 19:22:29 UTC
Created attachment 879192 [details]
File: limits

Comment 8 Pavel Mlčoch 2014-03-26 19:22:35 UTC
Created attachment 879193 [details]
File: maps

Comment 9 Pavel Mlčoch 2014-03-26 19:22:39 UTC
Created attachment 879194 [details]
File: open_fds

Comment 10 Pavel Mlčoch 2014-03-26 19:22:41 UTC
Created attachment 879195 [details]
File: proc_pid_status

Comment 11 Pavel Mlčoch 2014-03-26 19:22:43 UTC
Created attachment 879196 [details]
File: var_log_messages

Comment 12 Michael Schwendt 2014-05-01 15:24:33 UTC
> Architecture 	Count
> x86_64 	1

Again, no details about reproducibility provided. :(

Not much can be done about this here, but recently a couple of race conditions have been fixed upstream.

Maybe related:
http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2643


This will need retesting once a new version of Claws Mail (or a Test Update) will be available.

Comment 13 Fedora Update System 2014-05-26 21:17:22 UTC
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20

Comment 14 Fedora Update System 2014-05-26 21:17:55 UTC
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19

Comment 15 Fedora Update System 2014-05-28 02:56:41 UTC
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-05-30 23:49:50 UTC
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-11-02 17:51:49 UTC
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19

Comment 18 Fedora Update System 2014-11-02 17:52:23 UTC
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20

Comment 19 Fedora Update System 2014-11-02 17:55:03 UTC
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21

Comment 20 Fedora Update System 2014-11-10 06:30:12 UTC
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-11-10 06:33:57 UTC
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-01-05 07:36:24 UTC
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.